package com.androchi;

import com.androchi.R.drawable;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.drawable.AnimationDrawable;
import android.graphics.drawable.Drawable;
import android.widget.ImageView;
import android.widget.ProgressBar;

/*
 * This is the Androchi class by Evgeni Kovalev & Pavel Osipov
 */
public class Androchi{

	//Varialbes
	private String name;				// eg. Sigourney Droidius
	private boolean sex;				// 0- male 1- female
	private double weight;				// eg. 0.23 kg
	private int strengh;				// 0...100%
	private int vitality;				// 0...100%
	private int intelligence;			// 0...100%
	private int satisfaction;			// 0...100%s
	public ImageView drochi;			// the Drochi ImageView
	
	//drawables
	private AnimationDrawable eating;	// eating drawable
	private AnimationDrawable learning;	// learning drawable
	private AnimationDrawable traning;	// traning drawable
	private AnimationDrawable curing;	// curing drawable
	
	//Status bars
	public ProgressBar statusVit;	// Progress bar for vitality status
	public ProgressBar statusStr;	// Progress bar for strenght status
	public ProgressBar statusSatis;	// Progress bar for satisfaction status
	public ProgressBar statusSated; // Progress bar for sated status
	
	private Drawable d;
	
	//Methods
	public void setName(String newName)
	{ name = newName; }
	
	public void setSex(boolean newSex)
	{ sex = newSex; }
	
	public void setWeight(double newWeight)
	{ weight = newWeight; }
	
	public void setStrengh(int newStrengh)
	{ strengh = newStrengh; }
	
	public void setVitality(int newVitality)
	{ vitality = newVitality; }
	
	public void setIntelligence(int newIntelligence)
	{ intelligence = newIntelligence; }
	
	public void setSatisfaction(int newSatisfaction)
	{ satisfaction = newSatisfaction; }
	
	//Action methods
	public void eat()
	{		
		//Animation for eating
		drochi.setBackgroundResource(R.anim.syo);
		eating = (AnimationDrawable) drochi.getBackground();
		eating.start();
		
		

		//d=Drawable.createFromPath("@drawable/progress");

		
		statusSated.setProgress(23);
		

	}
	
	public void train()
	{		
		//Animation for traning
		drochi.setBackgroundResource(R.anim.treenaa);
		traning = (AnimationDrawable) drochi.getBackground();
		traning.start();
		
		//d=Drawable.createFromPath("@drawable/progress");
		statusStr.setProgress(10);
	}
	
	public void learn()
	{
		//Animation for eating
		drochi.setBackgroundResource(R.anim.lue);
		learning = (AnimationDrawable) drochi.getBackground();
		learning.start();
		
		//d=Drawable.createFromPath("@drawable/progress");
		statusSatis.setProgress(5);
	}
	
	public void cure()
	{
		//Animation for curing
		drochi.setBackgroundResource(R.anim.paranna);
		curing = (AnimationDrawable) drochi.getBackground();
		curing.start();
		
		//d=Drawable.createFromPath("@drawable/progress");
		statusVit.setProgress(50);
	}
	
	public void defecate()
	{
			
	}
	
	public void puke()
	{
			
	}
}